philipBC
Posts: 14
Joined: Fri Aug 12, 2016 1:15 pm

Install libdvd-pkg on Raspian Buster

Sat Oct 05, 2019 5:10 pm

I have default installed Raspbian Buster including desktop.
I am trying to use VLC (part of the default installation) to play a commercial dvd. Unsuccessfully.
From various Google searches I seem to need to install libdvdcss which is in the libdvd-pkg package.
When I attempt its installation I get ...

Code: Select all

pi@raspberrypi:~ $ sudo apt install libdvd-pkg
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incom
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libdvd-pkg : Depends: debhelper (>= 9) but it is not installable
              Depends: dh-autoreconf but it is not installable
E: Unable to correct problems, you have held broken packages.
Can anyone please tell me how to resolve these dependencies. Should these packages already be in the Buster Raspbian repo?

Thanks ..

Philip

Return to “Raspberry Pi OS”